{% extends "./subviews/logincomponents/token.twig" %}

{% block formheading  %}
    {% if aSurveyInfo.orcid.forced %}
        {{ gT("To participate in this restricted survey, you need a authenticate on ORCID.") }}
    {% else %}
        {{ gT("To participate in this restricted survey, you need a valid token or to authenticate on ORCID.") }}
    {% endif %}
{% endblock %}
{% block description  %}
    {{ include('./subviews/logincomponents/orcid_description.twig') }}
    {{ include('./subviews/logincomponents/orcid_button.twig') }}
    {% if(aSurveyInfo.allowregister == 'Y') %}
        {{ include('./subviews/logincomponents/orcid_registerbutton.twig') }}
    {% endif %}
    {% if not aSurveyInfo.orcid.forced %}
    <hr>
    {{ parent() }}
    {% endif %}
{% endblock %}
{% block formcontent  %}
    {% if not aSurveyInfo.orcid.forced %}
        {{ parent() }}
    {% endif %}
{% endblock %}
